package it.mice.voila.runtime.jasper.view.helpers;

import net.sf.jasperreports.engine.JRExporter;
import net.sf.jasperreports.engine.export.HtmlExporter;

/**
 * Implementation of <code>AbstractJasperReportsSingleFormatView</code>
 * that renders report results in HTML format.
 *
 * @author Rob Harrop
 * @author Juergen Hoeller
 * @since 1.1.3
 */
public class JasperReportsHtmlViewJasper extends AbstractJasperReportsSingleFormatView {

	public JasperReportsHtmlViewJasper() {
		setContentType("text/html");
	}

	@Override
	protected JRExporter createExporter() {
		return new HtmlExporter();
	}

	@Override
	protected boolean useWriter() {
		return true;
	}

}